Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-95103

Default AndroidManifest contains android:configChanges value introduced in high api level, which will break the compile against lower api level

    XMLWordPrintable

Details

    • Android
    • 2022wk32FOQtforAndroid, 2022wk42FOQtforAndroid, 2023wkXXFOQtforAndroid

    Description

      https://developer.android.com/guide/topics/manifest/activity-element#config
      Density is introduced api level 24.

      Confirmed that building with default AndroidManifest in 5.12.11 using android-18 or in 5.15.5 using android-21 will break. The workaround is to create the android template and modify AndroidManifest.xml manually by removing "density" from the android:configChanges tag.

      Note: when compile in 5.15.5 using android -21, another extractNativeLibs tag also needs to be removed

      Attachments

        1. p1.png
          73 kB
          Yi Fei

        Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

              qtandroidteam Qt Android Team
              yifei Yi Fei (Inactive)
              Votes:
              1 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:

                Gerrit Reviews

                  There are no open Gerrit changes